Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_istate.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_istate.F90	(revision 9402)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_istate.F90	(revision 9403)
@@ -3,5 +3,5 @@
    !!                     ***  MODULE usrdef_istate   ***
    !!
-   !!                      ===  VORTEX configuration  ===
+   !!                      ===  CANAL configuration  ===
    !!
    !! User defined : set the initial state of a user configuration
@@ -14,5 +14,5 @@
    !!----------------------------------------------------------------------
    USE par_oce        ! ocean space and time domain
-   USE dom_oce , ONLY : glamt, gphit, glamu, gphiu, glamv, gphiv, ff_t, ff_f
+   USE dom_oce        
    USE phycst         ! physical constants
    !
@@ -21,5 +21,5 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    !   
-   USE usrdef_nam, ONLY : rn_ppgphi0, rn_vtxmax, rn_uzonal, rn_ujetszx, rn_ujetszy, nn_initcase, ln_sshnoise ! 
+   USE usrdef_nam
    
    IMPLICIT NONE
@@ -40,5 +40,5 @@
       !! 
       !! ** Purpose :   Initialization of the dynamics and tracers
-      !!                Here VORTEX configuration 
+      !!                Here CANAL configuration 
       !!
       !! ** Method  :   Set a gaussian anomaly of pressure and associated
@@ -56,10 +56,10 @@
       REAL(wp) :: zpsurf, zdyPs, zdxPs
       REAL(wp) :: zdt, zdu, zdv
-      REAL(wp) :: zjetx, zjety
+      REAL(wp) :: zjetx, zjety, zbeta
       REAL(wp), DIMENSION(jpi,jpj)  ::   zrandom
       !!----------------------------------------------------------------------
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'usr_def_istate : VORTEX configuration, analytical definition of initial state'
+      IF(lwp) WRITE(numout,*) 'usr_def_istate : CANAL configuration, analytical definition of initial state'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~   '
       !
@@ -74,7 +74,7 @@
          pssh(:,:) = 0.
          ! temperature:
-         pts(:,:,:,jp_tem) = 10._wp * ptmask(:,:,:) 
-         ! salinity:  
-         pts(:,:,:,jp_sal) = 35._wp * ptmask(:,:,:) 
+         pts(:,:,:,jp_tem) = 10._wp
+         ! salinity:  
+         pts(:,:,:,jp_sal) = 35._wp
          ! velocities:
          pu(:,:,:) = 0.
@@ -82,17 +82,30 @@
          
       CASE(1)    ! geostrophic zonal jet from -zjety to +zjety
-         
-         ! sea level: ssh = - fuy / g
-         WHERE( ABS(gphit) <= zjety )
-            pssh(:,:) = - ff_t(:,:) * rn_uzonal * gphit(:,:) * 1.e3 / grav  * ptmask(:,:,1)
-         ELSEWHERE
-            pssh(:,:) = - ff_t(:,:) * rn_uzonal * SIGN(zjety, gphit(:,:)) * 1.e3 / grav  * ptmask(:,:,1)
-         END WHERE
-         ! temperature:
-         pts(:,:,:,jp_tem) = 10._wp * ptmask(:,:,:) 
-         ! salinity:  
-         pts(:,:,:,jp_sal) = 1._wp * ptmask(:,:,:) 
-         DO jk=1, jpkm1
-            WHERE( ABS(gphit) <= zjety ) pts(:,:,jk,jp_sal) = 2.
+
+         ! sea level:
+         SELECT CASE( nn_fcase )
+         CASE(0)    ! f = f0
+            ! sea level: ssh = - fuy / g
+            WHERE( ABS(gphit) <= zjety )
+               pssh(:,:) = - ff_t(:,:) * rn_uzonal * gphit(:,:) * 1.e3 / grav
+            ELSEWHERE
+               pssh(:,:) = - ff_t(:,:) * rn_uzonal * SIGN(zjety, gphit(:,:)) * 1.e3 / grav
+            END WHERE
+         CASE(1)    ! f = f0 + beta*y
+            ! sea level: ssh = - u / g * ( fy + 0.5 * beta * y^2 )
+            zbeta = 2._wp * omega * COS( rad * rn_ppgphi0 ) / ra
+            WHERE( ABS(gphit) <= zjety )
+               pssh(:,:) = - rn_uzonal / grav * ( ff_t(:,:) * gphit(:,:) * 1.e3 + 0.5 * zbeta * gphit(:,:) * gphit(:,:) * 1.e6 )
+            ELSEWHERE
+               pssh(:,:) = - rn_uzonal / grav * ( ff_t(:,:) * SIGN(zjety, gphit(:,:)) * 1.e3   &
+                  &                             + 0.5 * zbeta * zjety * zjety * 1.e6 )
+            END WHERE
+         END SELECT
+         ! temperature:
+         pts(:,:,:,jp_tem) = 10._wp
+         ! salinity:  
+         pts(:,:,jpk,jp_sal) = 0.
+         DO jk=1, jpkm1
+            pts(:,:,jk,jp_sal) = gphit(:,:)
          END DO
          ! velocities:
@@ -102,29 +115,71 @@
          END DO
          pv(:,:,:) = 0.
-         
-      CASE(10)    ! geostrophic zonal current shear
-         
-         ! sea level: ssh = - fuy / g
-         WHERE( ABS(gphit) <= zjety )
-            pssh(:,:) = - ff_t(:,:) * rn_uzonal * ABS(gphit(:,:) * 1.e3) / grav  * ptmask(:,:,1)
-         ELSEWHERE
-            pssh(:,:) = - ff_t(:,:) * rn_uzonal * zjety * 1.e3 / grav  * ptmask(:,:,1)
-         END WHERE
-         ! temperature:
-         pts(:,:,:,jp_tem) = 10._wp * ptmask(:,:,:) 
-         ! salinity:  
-         pts(:,:,:,jp_sal) = 2._wp * ptmask(:,:,:) 
-         DO jk=1, jpkm1
-            WHERE( ABS(gphit) <= zjety ) pts(:,:,jk,jp_sal) = 2. + SIGN(1.,gphit(:,:))
+         !                  
+      CASE(2)    ! geostrophic zonal current shear
+      
+         ! sea level:
+         SELECT CASE( nn_fcase )
+         CASE(0)    ! f = f0
+            ! sea level: ssh = - fuy / g
+            WHERE( ABS(gphit) <= zjety )
+               pssh(:,:) = - ff_t(:,:) * rn_uzonal * ABS(gphit(:,:)) * 1.e3 / grav
+            ELSEWHERE
+               pssh(:,:) = - ff_t(:,:) * rn_uzonal * zjety * 1.e3 / grav
+            END WHERE
+         CASE(1)    ! f = f0 + beta*y
+            ! sea level: ssh = - u / g * ( fy + 0.5 * beta * y^2 )
+            zbeta = 2._wp * omega * COS( rad * rn_ppgphi0 ) / ra
+            WHERE( ABS(gphit) <= zjety )
+               pssh(:,:) = - SIGN(rn_uzonal, gphit(:,:)) / grav   &
+                  &        * ( ff_t(:,:) * gphit(:,:) * 1.e3 + 0.5 * zbeta * gphit(:,:) * gphit(:,:) * 1.e6 )
+            ELSEWHERE
+               pssh(:,:) = - SIGN(rn_uzonal, gphit(:,:)) / grav   &
+                  &        * ( ff_t(:,:) * SIGN(zjety, gphit(:,:)) * 1.e3 + 0.5 * zbeta * zjety * zjety * 1.e6 )
+            END WHERE
+         END SELECT
+         ! temperature:
+         pts(:,:,:,jp_tem) = 10._wp
+         ! salinity:  
+         pts(:,:,:,jp_sal) = 2.
+         DO jk=1, jpkm1
+            WHERE( ABS(gphiv) <= zjety ) pts(:,:,jk,jp_sal) = 2. + SIGN(1.,gphiv(:,:))
          END DO
          ! velocities:
          pu(:,:,:) = 0.
          DO jk=1, jpkm1
-            WHERE( ABS(gphit) <= zjety ) pu(:,:,jk) = SIGN(rn_uzonal,gphit(:,:))*SIGN(1.,rn_uzonal)
-            WHERE( ABS(gphit) == 0.    ) pu(:,:,jk) = 0.  
-         END DO
-         pv(:,:,:) = 0.
-         
-      CASE(11)    ! geostrophic zonal pulse
+            WHERE( ABS(gphiv) <= zjety ) pu(:,:,jk) = SIGN(rn_uzonal,gphit(:,:))*SIGN(1.,rn_uzonal)
+            WHERE( ABS(gphiv) == 0.    ) pu(:,:,jk) = 0.  
+         END DO
+         pv(:,:,:) = 0.
+         !                  
+      CASE(3)    ! gaussian zonal currant
+
+         ! zonal current
+         DO jk=1, jpkm1
+            ! gphit and lambda are both in km
+            pu(:,:,jk) = rn_uzonal * EXP( - 0.5 * gphit(:,:)**2 / rn_lambda**2 )
+         END DO
+         
+         ! sea level:
+         pssh(:,1) = - ff_t(:,1) / grav * pu(:,1,1) * e2t(:,1)
+         DO jl=1, jpnj
+            DO jj=nldj, nlej
+               DO ji=nldi, nlei
+                  pssh(ji,jj) = pssh(ji,jj-1) - ff_t(ji,jj) / grav * pu(ji,jj,1) * e2t(ji,jj)
+               END DO
+            END DO
+            CALL lbc_lnk( pssh, 'T',  1. )
+         END DO
+         
+         ! temperature:
+         pts(:,:,:,jp_tem) = 10._wp
+         ! salinity:  
+         DO jk=1, jpkm1
+            pts(:,:,jk,jp_sal) = gphit(:,:)
+         END DO
+         ! velocities:
+         pv(:,:,:) = 0.
+         !            
+      CASE(4)    ! geostrophic zonal pulse
    
          DO jj=1, jpj
@@ -138,9 +193,9 @@
                END IF
                IF ( ABS(gphit(ji,jj)) <= zjety ) THEN
-                  pssh(ji,jj) = - ff_t(ji,jj) * zdu * gphit(ji,jj) * 1.e3 / grav  * ptmask(ji,jj,1)
+                  pssh(ji,jj) = - ff_t(ji,jj) * zdu * gphit(ji,jj) * 1.e3 / grav
                   pu(ji,jj,:) = zdu
                   pts(ji,jj,:,jp_sal) = zdu / rn_uzonal + 1.
                ELSE
-                  pssh(ji,jj) = - ff_t(ji,jj) * zdu * SIGN(zjety,gphit(ji,jj)) * 1.e3 / grav  * ptmask(ji,jj,1)
+                  pssh(ji,jj) = - ff_t(ji,jj) * zdu * SIGN(zjety,gphit(ji,jj)) * 1.e3 / grav 
                   pu(ji,jj,:) = 0.
                   pts(ji,jj,:,jp_sal) = 1.
@@ -153,9 +208,10 @@
          pv(:,:,:) = 0.
          
-       CASE(2)    ! vortex
+         
+       CASE(5)    ! vortex
                   !
          zf0   = 2._wp * omega * SIN( rad * rn_ppgphi0 )
          zumax = rn_vtxmax * SIGN(1._wp, zf0) ! Here Anticyclonic: set zumax=-1 for cyclonic
-         zlambda = SQRT(2._wp)*60.e3        ! Horizontal scale in meters 
+         zlambda = SQRT(2._wp)*rn_lambda       ! Horizontal scale in meters 
          zn2 = 3.e-3**2
          zH = 0.5_wp * 5000._wp
@@ -233,5 +289,9 @@
       END SELECT
 
-      IF (ln_sshnoise) pssh(:,:) = pssh(:,:) + (0.1*zrandom-0.05)
+      IF (ln_sshnoise) CALL RANDOM_NUMBER(zrandom)
+      IF (ln_sshnoise) THEN
+         CALL RANDOM_NUMBER(zrandom)
+         pssh(:,:) = pssh(:,:) + ( 0.1  * zrandom(:,:) - 0.05 )
+      END IF
       CALL lbc_lnk( pssh, 'T',  1. )
       CALL lbc_lnk(  pts, 'T',  1. )
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_nam.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_nam.F90	(revision 9402)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_nam.F90	(revision 9403)
@@ -39,12 +39,15 @@
    REAL(wp), PUBLIC ::   rn_ppgphi0 =   38.5 ! reference latitude for beta-plane 
    REAL(wp), PUBLIC ::   rn_u10     =    0.  ! 10m wind speed              [m/s]
+   REAL(wp), PUBLIC ::   rn_windszx =  150.  ! longitudinal wind extension  [km]
+   REAL(wp), PUBLIC ::   rn_windszy =  150.  ! latitudinal wind extension   [km]
    REAL(wp), PUBLIC ::   rn_uofac   =    0.  ! Uoce multiplicative factor (0.:absolute or 1.:relative winds)
-   REAL(wp), PUBLIC ::   rn_vtxmax  =    0.  ! initial vortex max current  [m/s]
+   REAL(wp), PUBLIC ::   rn_vtxmax  =    0.  ! initial canal max current  [m/s]
    REAL(wp), PUBLIC ::   rn_uzonal  =    0.  ! initial zonal current       [m/s]
    REAL(wp), PUBLIC ::   rn_ujetszx =  150.  ! longitudinal jet extension  [km]
    REAL(wp), PUBLIC ::   rn_ujetszy =  150.  ! latitudinal jet extension   [km]
    INTEGER , PUBLIC ::   nn_botcase =    0   ! bottom definition (0:flat, 1:bump)
-   INTEGER , PUBLIC ::   nn_initcase=    0   ! initial condition case (0=rest, 1=zonal current, 2=vortex)
+   INTEGER , PUBLIC ::   nn_initcase=    0   ! initial condition case (0=rest, 1=zonal current, 2=canal)
    LOGICAL , PUBLIC ::   ln_sshnoise=.false. ! add random noise on initial ssh
+   REAL(wp), PUBLIC ::   rn_lambda  = 50.    ! gaussian lambda
 
    !!----------------------------------------------------------------------
@@ -77,6 +80,7 @@
       !!
       NAMELIST/namusr_def/  rn_domszx, rn_domszy, rn_domszz, rn_dx, rn_dy, rn_dz, rn_0xratio, rn_0yratio   &
-         &                 , nn_fcase, rn_ppgphi0, rn_vtxmax, rn_uzonal, rn_u10, rn_uofac, rn_ujetszx, rn_ujetszy   &
-         &                 , nn_botcase, nn_initcase, ln_sshnoise
+         &                 , nn_fcase, rn_ppgphi0, rn_vtxmax, rn_uzonal, rn_ujetszx, rn_ujetszy   &
+         &                 , rn_u10, rn_windszx, rn_windszy, rn_uofac   &
+         &                 , nn_botcase, nn_initcase, ln_sshnoise, rn_lambda
       !!----------------------------------------------------------------------
       !
@@ -133,12 +137,16 @@
       WRITE(ldtxt(ii),*) '      Reference latitude                rn_ppgphi0 = ', rn_ppgphi0            ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      10m wind speed                    rn_u10     = ',     rn_u10, ' m/s'    ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      Uoce multiplicative factor        rn_uofac   = ',   rn_uofac            ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      initial Vortex max current        rn_vtxmax  = ',  rn_vtxmax, ' m/s'    ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '         wind latitudinal extension     rn_windszy = ', rn_windszy, ' km'     ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '         wind longitudinal extension    rn_windszx = ', rn_windszx, ' km'     ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '         Uoce multiplicative factor     rn_uofac   = ',   rn_uofac            ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      initial Canal max current        rn_vtxmax  = ',  rn_vtxmax, ' m/s'    ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      initial zonal current             rn_uzonal  = ',  rn_uzonal, ' m/s'    ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      Jet latitudinal extension         rn_ujetszy = ', rn_ujetszy, ' km'     ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '         Jet latitudinal extension      rn_ujetszy = ', rn_ujetszy, ' km'     ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '         Jet longitudinal extension     rn_ujetszx = ', rn_ujetszx, ' km'     ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      bottom definition (0:flat)        nn_botcase = ', nn_botcase            ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      initial condition case            nn_initcase= ', nn_initcase           ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '                   (0:rest, 1:zonal current, 2:vortex)'                       ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '                   (0:rest, 1:zonal current, 10:shear)'                       ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      add random noise on initial ssh   ln_sshnoise= ', ln_sshnoise           ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      Gaussian lambda parameter          rn_lambda = ', rn_lambda             ;   ii = ii + 1
       !
       !                             ! Set the lateral boundary condition of the global domain
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_sbc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_sbc.F90	(revision 9402)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_sbc.F90	(revision 9403)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  usrdef_sbc  ***
    !! 
-   !!                      ===  VORTEX configuration  ===
+   !!                      ===  CANAL configuration  ===
    !!
    !! User defined :   surface forcing of a user configuration
@@ -17,5 +17,5 @@
    USE sbc_oce         ! Surface boundary condition: ocean fields
    USE phycst          ! physical constants
-   USE usrdef_nam, ONLY : rn_u10, rn_uofac, rn_ujetszy 
+   USE usrdef_nam, ONLY : rn_u10, rn_uofac, rn_windszy 
    !
    USE in_out_manager  ! I/O manager
@@ -47,5 +47,5 @@
       !!              condition, i.e. the momentum, heat and freshwater fluxes.
       !!
-      !! ** Method  :   all 0 fields, for VORTEX case
+      !! ** Method  :   all 0 fields, for CANAL case
       !!                CAUTION : never mask the surface stress field !
       !!
@@ -71,6 +71,6 @@
          !
          utau(:,:) = 0._wp
-         IF( rn_u10 /= 0. .AND. rn_ujetszy > 0. ) THEN
-            WHERE( ABS(gphit) <= rn_ujetszy/2. ) utau(:,:) = zrhocd * rn_u10 * rn_u10
+         IF( rn_u10 /= 0. .AND. rn_windszy > 0. ) THEN
+            WHERE( ABS(gphit) <= rn_windszy/2. ) utau(:,:) = zrhocd * rn_u10 * rn_u10
          ENDIF
          vtau(:,:) = 0._wp
@@ -87,5 +87,5 @@
       IF( rn_uofac /= 0. ) THEN
          
-         WHERE( ABS(gphit) <= rn_ujetszy/2. )
+         WHERE( ABS(gphit) <= rn_windszy/2. )
             zwndrel(:,:) = rn_u10 - rn_uofac * un(:,:,1)
          ELSEWHERE
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_zgr.F90	(revision 9402)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/MY_SRC/usrdef_zgr.F90	(revision 9403)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  usrdef_zgr  ***
    !!
-   !!                      ===  VORTEX configuration  ===
+   !!                      ===  CANAL configuration  ===
    !!
    !! User defined : vertical coordinate system of a user configuration
@@ -67,5 +67,5 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'usr_def_zgr : VORTEX configuration (z-coordinate closed flat box ocean)'
+      IF(lwp) WRITE(numout,*) 'usr_def_zgr : CANAL configuration (z-coordinate closed flat box ocean)'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
       !
@@ -73,5 +73,5 @@
       ! type of vertical coordinate
       ! ---------------------------
-      ld_zco    = .TRUE.         ! VORTEX case:  z-coordinate without ocean cavities
+      ld_zco    = .TRUE.         ! CANAL case:  z-coordinate without ocean cavities
       ld_zps    = .FALSE.
       ld_sco    = .FALSE.
@@ -137,5 +137,5 @@
          WRITE(numout,*) '    zgr_z   : Reference vertical z-coordinates '
          WRITE(numout,*) '    ~~~~~~~'
-         WRITE(numout,*) '       VORTEX case : uniform vertical grid :'
+         WRITE(numout,*) '       CANAL case : uniform vertical grid :'
          WRITE(numout,*) '                     with thickness = ', zd
       ENDIF
@@ -175,5 +175,5 @@
       !! ** Purpose :   set the masked top and bottom ocean t-levels
       !!
-      !! ** Method  :   VORTEX case = closed flat box ocean without ocean cavities
+      !! ** Method  :   CANAL case = closed flat box ocean without ocean cavities
       !!                   k_top = 1     except along north, south, east and west boundaries
       !!                   k_bot = jpk-1 except along north, south, east and west boundaries
@@ -191,5 +191,5 @@
       IF(lwp) WRITE(numout,*) '    zgr_top_bot : defines the top and bottom wet ocean levels.'
       IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~'
-      IF(lwp) WRITE(numout,*) '       VORTEX case : closed flat box ocean without ocean cavities'
+      IF(lwp) WRITE(numout,*) '       CANAL case : closed flat box ocean without ocean cavities'
       !
       SELECT CASE(nn_botcase)
